Class
PointAndCargo
Simple record class storing a point (one-value interval) and a cargo.
PointAndCargo<TValue, TCargo>
Include Headers
seqan/misc/misc_interval_tree.h
Parameters

TValue | Metafunctions: Value Default: int.
TCargo | Metafunctions: Value Default: int.

Metafunctions

Cargo | Type of additional data stored in an object.
Value | Type of the items in the container or behind an iterator.

Data Members

cargo | The stored cargo of type TCargo.
i1 | The first element in the interval of type i1.
i2 | The last element in the interval of type i2.
point | The stored point of type TValue.

Member Functions

PointAndCargo | Constructor.

Functions

cargo | Access to the cargo.
getLeftBoundary | Get method for the left boundary.
getRightBoundary | Get method for the right boundary.
leftBoundary | Access to the left boundary.
rightBoundary | Access to the right boundary.

SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56